Subject: Re: [PATCH v4 1/3] t: regression git needs safe.directory when using sudo

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 May 2022 18:11:24 -0700

Carlo Arenas <[email-masked]> writes:

> one option would be to consolidate its use with the root repository
> that gets created in patch 3, which I could have done originally
> instead of just using the ones you provided almost AS-IS, or as you
> pointed out we could remove the safety net since it is not needed and
> it is buggy anyway.

I agree that there is no point to chown the directory, especially if
it does not offer any additional safety of any sort.  And quite
honstly, a test that is designed to be run ONLY in a very controlled
CI environment, it does not need one that complicates the tests.

Thanks.